SUQODocs
User GuideAPI ReferenceSDKs
Products

List products

Paginated active products of your account, newest first, each with its plans and visible billing periods. Use a billing period's `pbp_id` to create a subscription.

GET
/products/
AuthorizationBearer <token>

API key issued to the partner, sent with the Bearer prefix — for example: Authorization: Bearer sk_live_abc123.

In: header

Query Parameters

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/products/"
{  "count": 0,  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "product_id": "string",      "name": "string",      "description": "string",      "type": "simple",      "is_active": true,      "terms_and_conditions": "string",      "features_and_benefits": "string",      "vat": {        "is_vat_active": true,        "vat_type": "inclusive",        "vat_percentage": 0      },      "product_image": [        {          "image": "http://example.com",          "image_order": 0        }      ],      "plan": [        {          "plan_id": "string",          "plan_name": "string",          "description": "string",          "billing_periods": [            {              "pbp_id": "string",              "interval_type": "string",              "interval_count": 0,              "label": "string",              "price": "string",              "currency": "str",              "is_current": true,              "is_limited": true,              "is_archived": true,              "offers": [                {                  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                  "discount_amount": 0,                  "starts_at": "2019-08-24",                  "valid_until": "2019-08-24",                  "is_active": true                }              ]            }          ]        }      ],      "total_subscribers": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}